-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlParameter

Declaration :

- C++ : struct UmlParameter
- Java : final class UmlParameter

Represent an operation's parameter

Artifact : UmlParameter

Operation UmlParameter

Declaration :

- Java : public UmlParameter()

Operation clone_it

Declaration :

- Java : public UmlParameter clone_it()

Clone the parameter, defined only in Java which does not have 'const' or 'value passing'

Relation dir (<directional aggregation by value>)

Declaration :

- C++ : public: aDirection dir
- Java : public aDirection dir

Relation type (<directional aggregation by value>)

Declaration :

- C++ : public: UmlTypeSpec type
- Java : public UmlTypeSpec type

Attribut name

Declaration :

- C++ : public: QCString name
- Java : public String name

Attribut default_value

Declaration :

- C++ : public: QCString default_value
- Java : public String default_value

All public operations :

clone_it